Package Details: spotify 1.0.67.582-1

Git Clone URL: https://aur.archlinux.org/spotify.git (read-only)
Package Base: spotify
Description: A proprietary music streaming service
Upstream URL: http://www.spotify.com
Licenses: custom:"Copyright (c) 2006-2010 Spotify Ltd"
Submitter: gadget3000
Maintainer: AWhetter
Last Packager: AWhetter
Votes: 1280
Popularity: 46.828409
First Submitted: 2010-07-12 12:17
Last Updated: 2017-11-25 18:59

Pinned Comments

NicoHood commented on 2017-05-28 14:45

@Lenovsky There you go. Please upvote this topic if you wish to have spotify in the official ArchLinux [community] repository.

https://community.spotify.com/t5/Desktop-Linux-Windows-Web-Player/Redistribute-Spotify-on-Linux-Distributions/m-p/1695334#M188735

Latest Comments

Russbo commented on 2017-12-10 21:51

@rabbitranger @sohakes @sepf @SeerUK

Having the same issue as you guys. It will sporadically seem to start working, but it's upon hitting a button on another song and such that will break it once again.

I haven't found a way to coax it into working properly again yet even when restarting the application and whatnot.

What DE and such are you guys using?

hzeba commented on 2017-12-10 11:34

I've managed to patch libcurl-openssl-1.0 to get spotify to work around the CURL_OPENSSL_3 symbol versioning issue. Here are the patches I've used:

https://pastebin.com/xk52rvuv

https://pastebin.com/eKcUqzRC

francoism90 commented on 2017-12-09 16:25

Could 'we workaround the following issue: /usr/share/spotify/spotify: /usr/lib/libcurl.so.3: no version information available (required by /usr/share/spotify/spotify)

rabbitranger commented on 2017-12-09 15:31

@sohakes @sepf @SeerUK Just randomly started experiencing the same issue. UI locks up when changing songs, takes about 30 seconds to respond.

Manu343726 commented on 2017-12-07 13:31

just installed the package, invoking the app from command line gives "/usr/share/spotify/spotify: error while loading shared libraries: libidn2.so.0: cannot open shared object file: No such file or directory". Maybe a dependency is missing?

skiwithuge commented on 2017-11-23 15:27

2017 11 23: need to change spotify version to spotify-client_1.0.67.582.g19436fa3-28_amd64.deb

http://repository.spotify.com/pool/non-free/s/spotify-client/

ffrank commented on 2017-11-23 13:31

You have to change the PKDBUILD to link to the new versions!
Change the following when editing the PKGBUILD:
pkgver=1.0.67.582
_anotherpkgver=.g19436fa3
_amd64_pkgrel=28
_i386_pkgrel=28
...
sha256sums_x86_64=('7e5e90b7ae0d797ec3b9b7592d8e2253c773d5f7be90b7014f06f481f82bce1a')
sha256sums_i686=('cf1ce274475d2468cd93227dc32cff613cd5b2d682c18a7567568a96864d33b4')


That's it

johannesbrahms commented on 2017-11-22 19:02

curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading http://repository.spotify.com/pool/non-free/s/spotify-client/spotify-client_1.0.66.478.g1296534d-39_amd64.deb
Aborting...
==> ERROR: Makepkg was unable to build spotify.

BIGFAT commented on 2017-11-22 09:48

Look like 1.0.66.478 ist not availabe from the spotify repository anymore. Please update the pkgbuild. Thanks in advance.

lisu_ml commented on 2017-11-01 08:58

@raindev: forget it. It started to work again after reboot.

All comments